‫ آسيب پذيري آپلود فايل دلخواه در WordPress Nmedia Member Conversation Plugin

IRCAD2012061965
شماره:IRCAD2012061965
تاريخ انتشار:08-06-2012
ميزان حساسيت: بسيار مهم
نرم افزارهاي تحت تاثير: 
WordPress Nmedia Member Conversation Plugin 1.x
 
توضيح:
سمس فورگيت يك آسيب پذيري در پلاگين Nmedia Member Conversation در وردپرس كشف شده است كه مي تواند توسط افراد خرابكار مورد سوء استفاده قرار بگيرد تا كنترل يك سيستم آسيب پذير را در اختيار بگيرند.
اين آسيب پذيري به علت يك اسكريپت wp-content/plugins/wordpress-member-private-conversation/doupload.php ايجاد شده است كه اجازه مي دهد تا فايل ها با پسوندهاي دلخواه در يك فولدر داخلي در webroot آپلود شوند. اين مساله مي تواند براي اجراي كد PHP دلخواه بوسيله آپلود كردن يك اسكريپ PHP مخرب مورد سوء استفاده قرار بگيرد.
اين آسيب پذيري در نسخه 1.3 تاييد شده است. نسخه هاي ديگر نيز ممكن است تحت تاثير اين آسيب پذيري قرار بگيرند.
 
راهكار:
دسترسي به فايل wp-content/plugins/wordpress-member-private-conversation/doupload.php را محدود نماييد.
 
منابع:
OpenSysCom:
 
Secunia:
 
 
 
 

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 20 خرداد 1391

امتیاز

امتیاز شما
تعداد امتیازها:0